package com.ym.mec.web.fallback;

import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.QueryInfo;
import org.springframework.stereotype.Component;

import com.ym.mec.web.WebFeignService;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
public class WebFeignServiceFallback implements WebFeignService {

	@Override
	public Boolean createCashAccount(Integer userId,Integer tenantId) {
		return false;
	}

	@Override
	public Integer queryTeacherOrganId(Integer userId) {
		return null;
	}

	@Override
	public Boolean isPurchasedPracticeCourse(Integer userId) {
		return false;
	}

	@Override
	public int updateNickName(Integer userId, String nickName) {
		return 0;
	}

	@Override
	public String queryOrganIdByUserId(Integer userId, String clientId) {
		return null;
	}

	@Override
	public String getTenantConfigValue(Integer tenantId,String paramName){
		return null;
	}

	@Override
	public Boolean queryVipPracticeGroups() {
		return null;
	}
}
